﻿
// The sole owner of this code is Dundas Data Visualization Inc.
// Copyright (c) 2015 Dundas Data Visualization Inc.
// All rights reserved.

using Dundas.BI.Extensibility;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dundas.BI.Sample.CustomTransformSample
{
    /// <summary>
    /// This class contains the package information about the extension package.
    /// </summary>
	public class CustomTransformSamplePackage : ExtensionPackageInfo
	{
		#region Public Properties

        /// <summary>
        /// Gets the name of the extension package author.
        /// </summary>
		public override string Author
		{
            get { return "Dundas Data Visualization Sample Author"; }
		}

        /// <summary>
        /// Gets the copyright text associated with the extension package.
        /// </summary>
		public override string Copyright
		{
			get { return "Dundas Data Visualization, Inc."; }
		}

        /// <summary>
        /// Gets the localized display name of the extension package.
        /// </summary>
		public override string DisplayName
		{
            get { return "Custom Transform Sample Package"; }
		}

        /// <summary>
        /// Gets the unique identifier of the extension package.
        /// </summary>
		public override Guid Id
		{
			get { return new Guid("487fde27-7517-4b22-9da8-74f2cfa43acb"); }
		}

        /// <summary>
        /// Gets the name of the extension package.
        /// </summary>
		public override string Name
		{
			get { return "Custom Transform Sample Package"; }
		}

        /// <summary>
        /// Gets the version of the extension package.
        /// </summary>
		public override Version Version
		{
			get { return new Version(0, 0, 1); }
		}

		#endregion Public Properties
	}
}